Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 03-30-03, 08:10 PM   #1
joncalvinmoore
Registered User
 
Join Date: Mar 2003
Posts: 6
Send a message via AIM to joncalvinmoore
Default Nvidia Drivers and Mandrake 9.1

Hey Nvidia, I'm a buyer of Nvidia products, and I feel you should have Mandrake 9.1 drivers well when Mandrake 9.1 came out. I mean, I expect that kind of service if I buy your products and apparently use Linux for gaming rather then Windows. Can anyone shed some light on this issue as it is bothering alot of us Linux new comers to not even bothering with Gaming with Linux. Thanks
__________________
I dual boot Linux and Windows XP, why can't I only use Linux, what's stopping me?
joncalvinmoore is offline   Reply With Quote
Old 03-30-03, 10:23 PM   #2
macemoneta
Registered User
 
macemoneta's Avatar
 
Join Date: Oct 2002
Location: NJ
Posts: 159
Default Re: Nvidia Drivers and Mandrake 9.1

I agree. If Nvidia doesn't have the resources to update the drivers during the beta period (like every other developer has to), they should open the source. Mandrake 9.1, Redhat 9, Knoppix 3.2, and even the 2.5 development kernel, all without usable accelerated video drivers. The only drivers that work are the open source drivers.

If they had been involved earlier, the conflicts encountered in the Redhat 9 threading library would have been discovered (and possibly corrected) before the final build.

EVENTUALLY, Nvidia will get around to it, but as it is, they are becoming a bottleneck in the entire process.
macemoneta is offline   Reply With Quote
Old 03-31-03, 12:41 AM   #3
Andy Mecham
l33t master
 
Join Date: Jul 2002
Location: Santa Clara, CA
Posts: 1,163
Default

Please use the SRPM to rebuild a driver for your system. 1.0-4191 works without issue on Mandrake 9.1.

--andy
__________________
Andy Mecham
NVIDIA Corporation
Andy Mecham is offline   Reply With Quote
Old 03-31-03, 01:56 AM   #4
joncalvinmoore
Registered User
 
Join Date: Mar 2003
Posts: 6
Send a message via AIM to joncalvinmoore
Default

Andy, I wouldn't even bother posting on this forum if I hadn't done just that. I exit X, then I do this in my console. The end result is nothing in my RPMS, it builds nothing that I can install.

[root@localhost jon]# sh NVchooser.sh
NVchooser.sh: NVchooser.sh: No such file or directory
[root@localhost jon]# sh NVchooser.sh
Please download and install the following files:
NVIDIA_kernel-1.0-4191.src.rpm
NVIDIA_GLX-1.0-4191.i386.rpm

For further installation directions, please see the README.
[root@localhost jon]# rpm --rebuild NVIDIA_kernel-1.0-4191.src.rpm
Installing NVIDIA_kernel-1.0-4191.src.rpm
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.30456
+ umask 022
+ cd /usr/src/RPM/BUILD
+ cd /usr/src/RPM/BUILD
+ rm -rf NVIDIA_kernel-1.0-4191
+ /bin/gzip -dc /usr/src/RPM/SOURCES/NVIDIA_kernel-1.0-4191.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd NVIDIA_kernel-1.0-4191
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.45615
+ umask 022
+ cd /usr/src/RPM/BUILD
+ cd NVIDIA_kernel-1.0-4191
+ set +e
++ rpm -q --queryformat '%{VERSION}' rpm
+ RPMVERSION=4.0.4
++ echo 4.0.4
++ awk -F . '{print $1;}'
+ RPMMAJOR=4
++ echo 4.0.4
++ awk -F . '{print $2;}'
+ RPMMINOR=0
++ echo 4.0.4
++ awk -F . '{print $3;}'
+ RPMPATCH=4
+ '[' 4 -le 3 -a 0 -le 0 -a 4 -lt 4 ']'
+ make nvidia.o
echo \#define NV_COMPILER \"`cc -v 2>&1 | tail -1`\" > nv_compiler.h
cc -c -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wparen
theses -Wpointer-arith -Wcast-qual -Wno-multichar -O -MD -D__KERNEL__ -DMODULE
-D_LOOSE_KERNEL_NAMES -DNTRM -D_GNU_SOURCE -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -D
MODULE -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=4191 -DNV_UNI
X -DNV_LINUX -DNV_INT64_OK -DNVCPU_X86 -I. -I/usr/src/linux/include
-Wno-cast-qual nv.c
In file included from /usr/include/linux/prefetch.h:13,
from /usr/include/linux/list.h:6,
from /usr/include/linux/module.h:11,
from nv-linux.h:28,
from nv.c:14:
/usr/include/asm/processor.h:55: `CONFIG_X86_L1_CACHE_SHIFT' undeclared here (no
t in a function)
/usr/include/asm/processor.h:55: requested alignment is not a constant
In file included from /usr/include/linux/module.h:297,
from nv-linux.h:28,
from nv.c:14:
/usr/include/linux/version.h:2:2: #error "======================================
================="
/usr/include/linux/version.h:3:2: #error "You should not include /usr/include/{l
inux,asm}/ header"
/usr/include/linux/version.h:4:2: #error "files directly for the compilation of
kernel modules."
/usr/include/linux/version.h:5:2: #error ""
/usr/include/linux/version.h:6:2: #error "glibc now uses kernel header files fro
m a well-defined"
/usr/include/linux/version.h:7:2: #error "working kernel version (as recommended
by Linus Torvalds)"
/usr/include/linux/version.h:8:2: #error "These files are glibc internal and may
not match the"
/usr/include/linux/version.h:9:2: #error "currently running kernel. They should
only be"
/usr/include/linux/version.h:10:2: #error "included via other system header file
s - user space"
/usr/include/linux/version.h:11:2: #error "programs should not directly include
<linux/*.h> or"
/usr/include/linux/version.h:12:2: #error "<asm/*.h> as well."
/usr/include/linux/version.h:13:2: #error ""
/usr/include/linux/version.h:14:2: #error "To build kernel modules please do the
following:"
/usr/include/linux/version.h:15:2: #error ""
/usr/include/linux/version.h:16:2: #error " o Have the kernel sources installed"
/usr/include/linux/version.h:17:2: #error ""
/usr/include/linux/version.h:18:2: #error " o Make sure that the symbolic link"
/usr/include/linux/version.h:19:2: #error " /lib/modules/`uname -r`/build exis
ts and points to"
/usr/include/linux/version.h:20:2: #error " the matching kernel source directo
ry"
/usr/include/linux/version.h:21:2: #error ""
/usr/include/linux/version.h:22:2: #error " o Now copy /boot/vmlinuz.version.h t
o"
/usr/include/linux/version.h:23:2: #error " /lib/modules/`uname -r`/build/incl
ude/linux/version.h"
/usr/include/linux/version.h:24:2: #error ""
/usr/include/linux/version.h:25:2: #error " o When compiling, make sure to use t
he following"
/usr/include/linux/version.h:26:2: #error " compiler option to use the correct
include files:"
/usr/include/linux/version.h:27:2: #error ""
/usr/include/linux/version.h:28:2: #error " -I/lib/modules/`uname -r`/build/in
clude"
/usr/include/linux/version.h:29:2: #error ""
/usr/include/linux/version.h:30:2: #error " instead of"
/usr/include/linux/version.h:31:2: #error ""
/usr/include/linux/version.h:32:2: #error " -I/usr/include/linux"
/usr/include/linux/version.h:33:2: #error ""
/usr/include/linux/version.h:34:2: #error " Please adjust the Makefile accordi
ngly."
/usr/include/linux/version.h:35:2: #error "=====================================
=================="
In file included from nv-linux.h:28,
from nv.c:14:
/usr/include/linux/module.h:299: parse error before "UTS_RELEASE"
/usr/include/linux/module.h: In function `print_symbol':
/usr/include/linux/module.h:433: `ESRCH' undeclared (first use in this function)
/usr/include/linux/module.h:433: (Each undeclared identifier is reported only on
ce
/usr/include/linux/module.h:433: for each function it appears in.)
In file included from nv-linux.h:29,
from nv.c:14:
/usr/include/linux/version.h:2:2: #error "======================================
================="
/usr/include/linux/version.h:3:2: #error "You should not include /usr/include/{l
inux,asm}/ header"
/usr/include/linux/version.h:4:2: #error "files directly for the compilation of
kernel modules."
/usr/include/linux/version.h:5:2: #error ""
/usr/include/linux/version.h:6:2: #error "glibc now uses kernel header files fro
m a well-defined"
/usr/include/linux/version.h:7:2: #error "working kernel version (as recommended
by Linus Torvalds)"
/usr/include/linux/version.h:8:2: #error "These files are glibc internal and may
not match the"
/usr/include/linux/version.h:9:2: #error "currently running kernel. They should
only be"
/usr/include/linux/version.h:10:2: #error "included via other system header file
s - user space"
/usr/include/linux/version.h:11:2: #error "programs should not directly include
<linux/*.h> or"
/usr/include/linux/version.h:12:2: #error "<asm/*.h> as well."
/usr/include/linux/version.h:13:2: #error ""
/usr/include/linux/version.h:14:2: #error "To build kernel modules please do the
following:"
/usr/include/linux/version.h:15:2: #error ""
/usr/include/linux/version.h:16:2: #error " o Have the kernel sources installed"
/usr/include/linux/version.h:17:2: #error ""
/usr/include/linux/version.h:18:2: #error " o Make sure that the symbolic link"
/usr/include/linux/version.h:19:2: #error " /lib/modules/`uname -r`/build exis
ts and points to"
/usr/include/linux/version.h:20:2: #error " the matching kernel source directo
ry"
/usr/include/linux/version.h:21:2: #error ""
/usr/include/linux/version.h:22:2: #error " o Now copy /boot/vmlinuz.version.h t
o"
/usr/include/linux/version.h:23:2: #error " /lib/modules/`uname -r`/build/incl
ude/linux/version.h"
/usr/include/linux/version.h:24:2: #error ""
/usr/include/linux/version.h:25:2: #error " o When compiling, make sure to use t
he following"
/usr/include/linux/version.h:26:2: #error " compiler option to use the correct
include files:"
/usr/include/linux/version.h:27:2: #error ""
/usr/include/linux/version.h:28:2: #error " -I/lib/modules/`uname -r`/build/in
clude"
/usr/include/linux/version.h:29:2: #error ""
/usr/include/linux/version.h:30:2: #error " instead of"
/usr/include/linux/version.h:31:2: #error ""
/usr/include/linux/version.h:32:2: #error " -I/usr/include/linux"
/usr/include/linux/version.h:33:2: #error ""
/usr/include/linux/version.h:34:2: #error " Please adjust the Makefile accordi
ngly."
/usr/include/linux/version.h:35:2: #error "=====================================
=================="
In file included from nv.c:14:
nv-linux.h:31:40: missing binary operator before '('
nv-linux.h:33:42: missing binary operator before '('
nv-linux.h:35:42: missing binary operator before '('
nv-linux.h:37:42: missing binary operator before '('
nv-linux.h:39:42: missing binary operator before '('
nv-linux.h:43:4: #error This driver does not support 2.6.x or newer kernels!
In file included from /usr/include/asm/hardirq.h:6,
from /usr/include/linux/interrupt.h:46,
from nv-linux.h:71,
from nv.c:14:
/usr/include/linux/irq.h: At top level:
/usr/include/linux/irq.h:65: `CONFIG_X86_L1_CACHE_SHIFT' undeclared here (not in
a function)
/usr/include/linux/irq.h:65: requested alignment is not a constant
In file included from /usr/include/linux/interrupt.h:46,
from nv-linux.h:71,
from nv.c:14:
/usr/include/asm/hardirq.h:16: `CONFIG_X86_L1_CACHE_SHIFT' undeclared here (not
in a function)
/usr/include/asm/hardirq.h:16: requested alignment is not a constant
In file included from nv-linux.h:71,
from nv.c:14:
/usr/include/linux/interrupt.h:129: `CONFIG_X86_L1_CACHE_SHIFT' undeclared here
(not in a function)
/usr/include/linux/interrupt.h:129: requested alignment is not a constant
nv-linux.h:184:64: missing binary operator before '('
nv.c:1335:65: missing binary operator before '('
nv.c: In function `nv_kern_mmap':
nv.c:1338: warning: implicit declaration of function `pgprot_writecombine'
nv.c:1338: incompatible types in assignment
make: *** [nv.o] Error 1
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.37528
+ umask 022
+ cd /usr/src/RPM/BUILD
+ cd NVIDIA_kernel-1.0-4191
+ rm -f /tmp/files.lst
+ '[' -z '' ']'
++ uname -r
+ export TARGET_KERNEL=2.4.21-0.13mdk
+ TARGET_KERNEL=2.4.21-0.13mdk
+ '[' -d /lib/modules/2.4.21-0.13mdk/kernel ']'
+ INSTALLPATH=/lib/modules/2.4.21-0.13mdk/kernel/drivers/video
+ mkdir -p /var/tmp/NVIDIA_kernel-1.0//lib/modules/2.4.21-0.13mdk/kernel/drivers
/video
+ install -m 0444 nvidia.o /var/tmp/NVIDIA_kernel-1.0//lib/modules/2.4.21-0.13md
k/kernel/drivers/video
install: cannot stat `nvidia.o': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.37528 (%install)


RPM build errors:
Bad exit status from /var/tmp/rpm-tmp.37528 (%install)
__________________
I dual boot Linux and Windows XP, why can't I only use Linux, what's stopping me?
joncalvinmoore is offline   Reply With Quote
Old 03-31-03, 02:02 AM   #5
Andy Mecham
l33t master
 
Join Date: Jul 2002
Location: Santa Clara, CA
Posts: 1,163
Default

From the README:

Q: Installing the NVIDIA_kernel module gives an error message like:
#error Modules should never use kernel-headers system headers
#error but headers from an appropriate kernel-source

A: You need to install the source for the Linux kernel. In most
situations you can fix this problem by installing the kernel-source
package for your distribution

You need to install your kernel-source RPM - you should be able to rebuild the driver then.

Thanks!

--andy
__________________
Andy Mecham
NVIDIA Corporation
Andy Mecham is offline   Reply With Quote
Old 03-31-03, 02:04 AM   #6
joncalvinmoore
Registered User
 
Join Date: Mar 2003
Posts: 6
Send a message via AIM to joncalvinmoore
Default

Ok, thanks Andy. That was fast. I'll do that right now, and post the the results for everyone having the same problem, thanks again.

Jon
__________________
I dual boot Linux and Windows XP, why can't I only use Linux, what's stopping me?
joncalvinmoore is offline   Reply With Quote
Old 03-31-03, 02:18 AM   #7
joncalvinmoore
Registered User
 
Join Date: Mar 2003
Posts: 6
Send a message via AIM to joncalvinmoore
Default

I have 2 worlds "HELL YES"! Everyone stop asking how to get those drivers working, here is living proof on how to install it, the GLX rpm is all you need after that and you can just click on that, edit the X file, and boom, your playing Tux Racer.

m@? calhost jon]# rpm --rebuild NVIDIA_kernel-1.0-4191.src.rpm
Installing NVIDIA_kernel-1.0-4191.src.rpm
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.28470
+ umask 022
+ cd /usr/src/RPM/BUILD
+ cd /usr/src/RPM/BUILD
+ rm -rf NVIDIA_kernel-1.0-4191
+ /bin/gzip -dc /usr/src/RPM/SOURCES/NVIDIA_kernel-1.0-4191.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd NVIDIA_kernel-1.0-4191
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.28470
+ umask 022
+ cd /usr/src/RPM/BUILD
+ cd NVIDIA_kernel-1.0-4191
+ set +e
++ rpm -q --queryformat '%{VERSION}' rpm
+ RPMVERSION=4.0.4
++ echo 4.0.4
++ awk -F . '{print $1;}'
+ RPMMAJOR=4
++ echo 4.0.4
++ awk -F . '{print $2;}'
+ RPMMINOR=0
++ echo 4.0.4
++ awk -F . '{print $3;}'
+ RPMPATCH=4
+ '[' 4 -le 3 -a 0 -le 0 -a 4 -lt 4 ']'
+ make nvidia.o
echo \#define NV_COMPILER \"`cc -v 2>&1 | tail -1`\" > nv_compiler.h
cc -c -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wparentheses -Wpointer-arith -Wcast-qual -Wno-multichar -O -MD -D__KERNEL__ -DMODULE
-D_LOOSE_KERNEL_NAMES -DNTRM -D_GNU_SOURCE -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODULE -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=4191 -DNV_UNIX -DNV_LINUX -DNV_INT64_OK -DNVCPU_X86 -I. -I/lib/modules/2.4.21-0.13mdk/build/include -Wno-cast-qual nv.c
cc -c -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wparentheses -Wpointer-arith -Wcast-qual -Wno-multichar -O -MD -D__KERNEL__ -DMODULE
-D_LOOSE_KERNEL_NAMES -DNTRM -D_GNU_SOURCE -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODULE -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=4191 -DNV_UNIX -DNV_LINUX -DNV_INT64_OK -DNVCPU_X86 -I. -I/lib/modules/2.4.21-0.13mdk/build/include -Wno-cast-qual os-agp.c
cc -c -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wparentheses -Wpointer-arith -Wcast-qual -Wno-multichar -O -MD -D__KERNEL__ -DMODULE
-D_LOOSE_KERNEL_NAMES -DNTRM -D_GNU_SOURCE -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODULE -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=4191 -DNV_UNIX -DNV_LINUX -DNV_INT64_OK -DNVCPU_X86 -I. -I/lib/modules/2.4.21-0.13mdk/build/include -Wno-cast-qual os-interface.c
cc -c -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wparentheses -Wpointer-arith -Wcast-qual -Wno-multichar -O -MD -D__KERNEL__ -DMODULE
-D_LOOSE_KERNEL_NAMES -DNTRM -D_GNU_SOURCE -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODULE -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=4191 -DNV_UNIX -DNV_LINUX -DNV_INT64_OK -DNVCPU_X86 -I. -I/lib/modules/2.4.21-0.13mdk/build/include -Wno-cast-qual os-registry.c
ld -r -o nv-linux.o nv.o os-agp.o os-interface.o os-registry.o
ld -r -o nvidia.o nv-linux.o nv-kernel.o
size nvidia.o
text data bss dec hex filename
1248753 92760 32940 1374453 14f8f5 nvidia.o
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.28790
+ umask 022
+ cd /usr/src/RPM/BUILD
+ cd NVIDIA_kernel-1.0-4191
+ rm -f /tmp/files.lst
+ '[' -z '' ']'
++ uname -r
+ export TARGET_KERNEL=2.4.21-0.13mdk
+ TARGET_KERNEL=2.4.21-0.13mdk
+ '[' -d /lib/modules/2.4.21-0.13mdk/kernel ']'
+ INSTALLPATH=/lib/modules/2.4.21-0.13mdk/kernel/drivers/video
+ mkdir -p /var/tmp/NVIDIA_kernel-1.0//lib/modules/2.4.21-0.13mdk/kernel/drivers/video
+ install -m 0444 nvidia.o /var/tmp/NVIDIA_kernel-1.0//lib/modules/2.4.21-0.13mdk/kernel/drivers/video
+ echo '%attr(444 root root) ' /lib/modules/2.4.21-0.13mdk/kernel/drivers/video/nvidia.o
+ unset RPM_BUILD_ROOT
+ /usr/lib/rpm/brp-mandrake
no RPM_BUILD_ROOT variable; exiting.
Processing files: NVIDIA_kernel-1.0-4191
Finding Provides: /usr/lib/rpm/find-provides
Finding Requires: /usr/lib/rpm/find-requires /var/tmp/NVIDIA_kernel-1.0 i586
Using BuildRoot: /var/tmp/NVIDIA_kernel-1.0 to search libs
PreReq: /bin/sh /bin/sh /bin/sh rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
Requires(interp): /bin/sh /bin/sh /bin/sh
Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
Requires(pre): /bin/sh
Requires(post): /bin/sh
Requires(preun): /bin/sh
Requires: kernel >= 2.2.0 rpm >= 3.0.4
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/NVIDIA_kernel-1.0
Wrote: /usr/src/RPM/RPMS/i586/NVIDIA_kernel-1.0-4191.i586.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.96999
+ umask 022
+ cd /usr/src/RPM/BUILD
+ cd NVIDIA_kernel-1.0-4191
+ '[' -n /var/tmp/NVIDIA_kernel-1.0 -a /var/tmp/NVIDIA_kernel-1.0 '!=' / ']'
+ rm -rf /var/tmp/NVIDIA_kernel-1.0
+ exit 0
Executing(--clean): /bin/sh -e /var/tmp/rpm-tmp.96999
+ umask 022
+ cd /usr/src/RPM/BUILD
+ rm -rf NVIDIA_kernel-1.0-4191
+ exit 0
[root@localhost jon]# rpm -i /usr/src/RPM/RPMS/i586/NVIDIA_kernel-1.0-4191.i586.rpm


^[[D^[[DWarning: loading /lib/modules/2.4.21-0.13mdk/kernel/drivers/video/nvidia.o will taint the kernel: non-GPL license - NVIDIA
See http://www.tux.org/lkml/#export-tainted for information about tainted modules
Module nvidia loaded, with warnings

nvidia.o installed successfully

[root@localhost jon]#
[root@localhost jon]#
[root@localhost jon]#

Thanks Again Andy.
__________________
I dual boot Linux and Windows XP, why can't I only use Linux, what's stopping me?
joncalvinmoore is offline   Reply With Quote
Old 03-31-03, 02:18 AM   #8
Andy Mecham
l33t master
 
Join Date: Jul 2002
Location: Santa Clara, CA
Posts: 1,163
Default

Sure thing.

--andy
__________________
Andy Mecham
NVIDIA Corporation
Andy Mecham is offline   Reply With Quote

Old 03-31-03, 02:25 AM   #9
joncalvinmoore
Registered User
 
Join Date: Mar 2003
Posts: 6
Send a message via AIM to joncalvinmoore
Default

My friend just asked me from AIM where he could find the RPM for the kernel. It is located on Disk 3 (International CD) of the Mandrake 9.1 Distro, hope that helps.

Jon
__________________
I dual boot Linux and Windows XP, why can't I only use Linux, what's stopping me?

Last edited by joncalvinmoore; 03-31-03 at 02:39 AM.
joncalvinmoore is offline   Reply With Quote
Old 03-31-03, 02:27 AM   #10
Andy Mecham
l33t master
 
Join Date: Jul 2002
Location: Santa Clara, CA
Posts: 1,163
Default

Note that the kernel SRPM is different from the kernel-source RPM. You need the kernel-source RPM to install the kernel sources.

--andy
__________________
Andy Mecham
NVIDIA Corporation
Andy Mecham is offline   Reply With Quote
Old 03-31-03, 09:51 AM   #11
ohrock
Registered User
 
Join Date: Dec 2002
Posts: 8
Unhappy

I followed the instructions...checked everything...source is in place...symlinks from linux to my uname -r correct....and I get the following message when I try to run startx:

(EE) LoadModule:Module nvidia does not have a nvidiaModuleData data object
(EE) Failed to load module "nvidia" (invalid module, 0)
(EE) no device detected

I've installed nvidia drivers to mandrake 8.2,9.0 and 9.1RC2....and I cannont make them work with 9.1!!!!

I've tried building them from source (tar) and src.rpm...and I always get the same message.

Any suggestions will be more than welcome.

Thanks in advance!

Roberto

Last edited by ohrock; 03-31-03 at 09:54 AM.
ohrock is offline   Reply With Quote
Old 03-31-03, 10:15 AM   #12
ohrock
Registered User
 
Join Date: Dec 2002
Posts: 8
Unhappy

I also followed the instructions in this page:

http://http://www.speculation.org/garrick/nvidiainstall.txt

...and I get the same result.
ohrock is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Mandrake 9 and nVidia drivers HunterA3 NVIDIA Linux 9 10-09-02 03:54 AM
Mandrake 9.0 and Nvidia 1.0-3123 FINALLY!!!! Now for a question. jthompson7051 NVIDIA Linux 1 10-07-02 03:17 PM
Mandrake 9.0 and drivers KramitDfrog NVIDIA Linux 2 10-06-02 06:14 PM
Mandrake 8.2 + Nvidia ti4400 - Issues endothermal NVIDIA Linux 3 09-20-02 03:33 PM
Problems with Mandrake and NVidia drivers..... xMonoxide187x NVIDIA Linux 2 08-22-02 02:55 PM

All times are GMT -5. The time now is 05:23 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.